Add a share from a profile
curl --request POST \
--url https://api.example.com/api/data-shares/incoming/profile \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"profile": {},
"catalog_name": "<string>"
}
'import requests
url = "https://api.example.com/api/data-shares/incoming/profile"
payload = {
"profile": {},
"catalog_name": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({profile: {}, catalog_name: '<string>'})
};
fetch('https://api.example.com/api/data-shares/incoming/profile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/data-shares/incoming/profile",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'profile' => [
],
'catalog_name' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/data-shares/incoming/profile"
payload := strings.NewReader("{\n \"profile\": {},\n \"catalog_name\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/api/data-shares/incoming/profile")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"profile\": {},\n \"catalog_name\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/data-shares/incoming/profile")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"profile\": {},\n \"catalog_name\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"share": {
"id": "<string>",
"source": "<string>",
"provider_name": "<string>",
"name": "<string>",
"warehouse": "<string>",
"tables": [
"<string>"
],
"status": "<string>",
"received_at": "<string>",
"provider_url": "",
"provider_host": "",
"purpose": "",
"expires_at": "<string>",
"catalog_name": "",
"granted_roles": [
"<string>"
],
"accepted_at": "<string>",
"accepted_by": "",
"last_test": {}
},
"tables_visible": 123
}{
"error": "<string>",
"code": 500
}{
"error": "<string>",
"code": 500
}{
"error": "<string>",
"code": 500
}{
"error": "<string>",
"code": 500
}{
"error": "<string>",
"code": 500
}{
"error": "<string>",
"code": 500
}{
"error": "<string>",
"code": 500
}Data shares
Add a share from a profile
Make an outside provider’s connection profile into a catalog. Who may query it is managed like any other catalog’s policies.
Required roles: nx1_catalog_admin and a Data Access grant role
POST
/
api
/
data-shares
/
incoming
/
profile
Add a share from a profile
curl --request POST \
--url https://api.example.com/api/data-shares/incoming/profile \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"profile": {},
"catalog_name": "<string>"
}
'import requests
url = "https://api.example.com/api/data-shares/incoming/profile"
payload = {
"profile": {},
"catalog_name": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({profile: {}, catalog_name: '<string>'})
};
fetch('https://api.example.com/api/data-shares/incoming/profile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/data-shares/incoming/profile",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'profile' => [
],
'catalog_name' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/data-shares/incoming/profile"
payload := strings.NewReader("{\n \"profile\": {},\n \"catalog_name\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/api/data-shares/incoming/profile")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"profile\": {},\n \"catalog_name\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/data-shares/incoming/profile")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"profile\": {},\n \"catalog_name\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"share": {
"id": "<string>",
"source": "<string>",
"provider_name": "<string>",
"name": "<string>",
"warehouse": "<string>",
"tables": [
"<string>"
],
"status": "<string>",
"received_at": "<string>",
"provider_url": "",
"provider_host": "",
"purpose": "",
"expires_at": "<string>",
"catalog_name": "",
"granted_roles": [
"<string>"
],
"accepted_at": "<string>",
"accepted_by": "",
"last_test": {}
},
"tables_visible": 123
}{
"error": "<string>",
"code": 500
}{
"error": "<string>",
"code": 500
}{
"error": "<string>",
"code": 500
}{
"error": "<string>",
"code": 500
}{
"error": "<string>",
"code": 500
}{
"error": "<string>",
"code": 500
}{
"error": "<string>",
"code": 500
}Authorizations
OAuth2AuthorizationCodeBearerAPIKeyHeader
The access token received from the authorization server in the OAuth 2.0 flow.
Body
application/json
Was this page helpful?

